Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jini.rio.core
Enum AssociationType

    java.lang.Object
      java.lang.Enum<AssociationType>
          org.jini.rio.core.AssociationType

All Implemented Interfaces:
  Serializable, Comparable<AssociationType>

    public enum AssociationType

extends Enum<AssociationType>

The AssocationType defines the different types an `may` have. An AssociationType may be either:

- Uses
  A weak association relationship where if A uses B exists then, then B may be present for A
- Requires
  A stronger association relationship where if A requires B exists then B must be present for A
- Colocated
  An association which requires that A be colocated with B in the same JVM. If B does not exist, or cannot be located, A shall not be created without B
- Opposed
  An association which requires that A exist in a different JVM then B.
- Isolated
  An association which requires that A exist in a different machine then B.

Enum Constant Summary
`COLOCATED`
`ISOLATED`
`OPPOSED`
`REQUIRES`
`USES`

Method Summary
`String` | `toString()`
`static AssociationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AssociationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### USES

    public static final AssociationType USES

### REQUIRES

    public static final AssociationType REQUIRES

### COLOCATED

    public static final AssociationType COLOCATED

### OPPOSED

    public static final AssociationType OPPOSED

### ISOLATED

    public static final AssociationType ISOLATED

Method Detail

### values

    public static final AssociationType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(AssociationType c : AssociationType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static AssociationType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<AssociationType>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © Project Rio.